//+------------------------------------------------------------------+
//|                                   TheOnlyPivot_Level_Shifted.mq4 |
//|         Copyright  2005, Jason Robinson (jnrtrading)            |
//|                   http://www.jnrtading.co.uk                     |
//+------------------------------------------------------------------+

#property copyright "Poul Trade Forum"
#property link "http://forex.kbpauk.ru/"

#property indicator_chart_window
//#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1 Teal
//---- input parameters

//---- buffers
extern string Font = "Arial Bold";
extern int FontSize = 12;
extern int Timeshift;
double PBuffer[];
double OP;
double x;
//+------------------------------------------------------------------+
//| Custor indicator deinitialization function |
//+------------------------------------------------------------------+
int deinit()
{
ObjectDelete("Open Price");

//----
return(0);
}
//+------------------------------------------------------------------+
//| Custom indicator initialization function |
//+------------------------------------------------------------------+
int init()
{
//---- indicator line
SetIndexStyle(0, DRAW_LINE, 0, 3, Teal);
SetIndexBuffer(0, PBuffer);

//---- name for DataWindow and indicator subwindow label
IndicatorShortName("TheOnlyPivot_Level_Shifted");
SetIndexLabel(0, "TheOnlyPivot_Level_Shifted");
//----
SetIndexDrawBegin(0,1);
//----
return(0);
}

//+------------------------------------------------------------------+
//| Custom indicator iteration function |
//+------------------------------------------------------------------+
int start()

{
int counted_bars = IndicatorCounted();

int limit, i;
//---- indicator calculation
if(counted_bars == 0)
{
x = Period();
if(x > 240) return(-1);
//ObjectCreate("Open Price", OBJ_TEXT, 0, 0, 0);
//ObjectSetText("Open Price", " OP", FontSize, Font, White);

}
if(counted_bars < 0) return(-1);
//---- last counted bar will be recounted
// if(counted_bars>0) counted_bars--;
limit = (Bars - counted_bars) - 1;
//----
for(i = limit; i >= 0; i--)
{ 
if (TimeDayOfWeek(Time[i+1])!=0)// This if fix mondays.
{ 
if(TimeDay(Time[i]) != TimeDay(Time[i+1]))
{ 
OP = Open[i-Timeshift];
//----
ObjectMove("Open Price", 0, Time[i], OP);
}
}// This if fix mondays.
PBuffer[i-Timeshift] = OP;

}
//----
return(0);
}
//+------------------------------------------------------------------+